> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# editUsersOfSupplementalPayPeriod

> The `editUsersOfSupplementalPayPeriod` API is used to modify high level payroll details for employees

### When to use:
- When correcting payment amounts before payroll submission
- When changing payment methods for existing supplemental payroll entries

### Notes:
- Automatically recalculates taxes and net totals
- Payment method can only be changed to `Direct Deposit` if the user in the payroll is set up with a bank account



## OpenAPI

````yaml put /payroll/editUsersOfSupplementalPayPeriod
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/editUsersOfSupplementalPayPeriod:
    put:
      tags: []
      summary: editUsersOfSupplementalPayPeriod
      description: >-
        The `editUsersOfSupplementalPayPeriod` API is used to modify high level
        payroll details for employees


        ### When to use:

        - When correcting payment amounts before payroll submission

        - When changing payment methods for existing supplemental payroll
        entries


        ### Notes:

        - Automatically recalculates taxes and net totals

        - Payment method can only be changed to `Direct Deposit` if the user in
        the payroll is set up with a bank account
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                payrollLineItems:
                  type: array
                  items:
                    type: object
                    properties:
                      userId:
                        type: string
                      amount:
                        type: integer
                      paymentMethod:
                        type: string
                    required:
                      - userId
                      - amount
                      - paymentMethod
              required:
                - method
                - companyId
                - payPeriodId
                - payrollLineItems
            example:
              method: editUsersOfSupplementalPayPeriod
              companyId: C8D57032-BF6F-4510-AA41-08A358365531
              payPeriodId: 4083B766-8F3A-4A23-ABB7-FB67FA1F97D3
              payrollLineItems:
                - userId: 123DA511-5970-4C2F-AF7E-5C0FB11D23A3
                  amount: 2000
                  paymentMethod: Check
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payrollLineItems:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        status:
                          type: string
                        message:
                          type: string
                      required:
                        - userId
                        - status
                        - message
                required:
                  - payrollLineItems
              examples:
                '1':
                  summary: Success
                  value:
                    payrollLineItems:
                      - userId: 123DA511-5970-4C2F-AF7E-5C0FB11D23A3
                        status: Updated
                        message: >-
                          The PayrollLineItem for Celina Gos has been updated
                          successfully.
                '2':
                  summary: Example 1
                  value:
                    error:
                      code: 400
                      message: PayPeriodId is mandatory
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: PayPeriodId is mandatory
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````